=== debian/changelog ===
indi-armadillo-platypus (1.0+20221226082641-3) unstable; urgency=medium

  * add cmake4.patch (Closes: #1113009)
  * add debian/gbp.conf
  * add debian/salsa-ci.yml

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Sep 2025 00:16:59 +0200

indi-armadillo-platypus (1.0+20221226082641-2) unstable; urgency=medium

  * Use udev.pc to place udev files. (Closes: #1058851)
    Thanks to Chris Hofstaedtler for the patch
    - debian/control: update dependencies for /usr-merge
    - debian/rules: Use udev.pc to place udev files.
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/copyright: update years
  * add upstream metadata
  * add CMakelists-UDEVRULES_INSTALL_DIR.patch
    Thanks to Chris Hofstaedtler for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Dec 2023 18:50:02 +0100

indi-armadillo-platypus (1.0+20221226082641-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.9
  * new upstream version 1.0

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 26 Dec 2022 08:27:56 +0000

indi-armadillo-platypus (1.0+20220610100839-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.6

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Jun 2022 10:08:49 +0000

indi-armadillo-platypus (1.0+20220128183230-1) unstable; urgency=medium

  * build version from git
  * based on indi-3rdparty release 1.9.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 28 Jan 2022 18:51:15 +0000

indi-armadillo-platypus (1.0-2) unstable; urgency=medium

  * source upload
  * debian/control: move to debian-astro

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Dec 2021 23:30:07 +0100

indi-armadillo-platypus (1.0-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Dec 2021 18:30:07 +0100
