## indi-armadillo-platypus 1.0+20221226082641

=== debian/control ===
Source: indi-armadillo-platypus
Section: science
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libindi-dev
	, libnova-dev
	, pkgconf
	, systemd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian-astro-team/indi-armadillo-platypus
Vcs-Git: https://salsa.debian.org/debian-astro-team/indi-armadillo-platypus.git

Package: indi-armadillo-platypus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for Lunatico Astronomia Armadillo and Platypus
 This package contains the INDI driver for Armadillo and Playtypus
 from Lunatico Astronomia.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
